High severity vulnerability that affects org.apache.syncope:syncope-core

2018-11-06T23:16:18
ID GHSA-9H9C-F287-C6VP
Type github
Reporter GitHub Advisory Database
Modified 2019-07-03T21:02:05

Description

A malicious user with enough administration entitlements can inject html-like elements containing JavaScript statements into Connector names, Report names, AnyTypeClass keys and Policy descriptions. When another user with enough administration entitlements edits one of the Entities above via Admin Console, the injected JavaScript code is executed.